Gets the form data for the specified task

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developer.trintech.com/doc/cadency-close-task-action-plan-api/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Cadency Close Task Action Plan API MCP server": {
  "url": "https://developer.trintech.com/doc/cadency-close-task-action-plan-api/mcp"
}
Close
GET /tasks/{id}/form

Getting form data for a specified task involves accessing and retrieving user-entered data from a task's associated form

Path parameters

  • id integer Required

    The identifier of the task specified.

Query parameters

  • name string

    Filter Tasks based on the name defined. It is not mandatory to pass name for filter the data.

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • * object Additional properties
      Hide * attributes Show * attributes object
      • elementId string
      • elementType string
      • textValue string
      • booleanValue string
      • optionList array[object]
        Hide optionList attributes Show optionList attributes object
        • displayValue string
        • systemValue string
      • dateLocale string
      • timezone string
      • locale object
        Hide locale attributes Show locale attributes object
        • language string
        • displayName string
        • country string
        • variant string
        • script string
        • unicodeLocaleAttributes array[string]
        • unicodeLocaleKeys array[string]
        • displayLanguage string
        • displayScript string
        • displayCountry string
        • displayVariant string
        • extensionKeys array[string]
        • iso3Language string
        • iso3Country string
GET /tasks/{id}/form
curl \
 --request GET 'https://usaapi02.cadencyservices.trintech.com/test/api/tasks/{id}/form' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "additionalProperty1": {
    "elementId": "string",
    "elementType": "string",
    "textValue": "string",
    "booleanValue": "string",
    "optionList": [
      {
        "displayValue": "string",
        "systemValue": "string"
      }
    ],
    "dateLocale": "string",
    "timezone": "string",
    "locale": {
      "language": "string",
      "displayName": "string",
      "country": "string",
      "variant": "string",
      "script": "string",
      "unicodeLocaleAttributes": [
        "string"
      ],
      "unicodeLocaleKeys": [
        "string"
      ],
      "displayLanguage": "string",
      "displayScript": "string",
      "displayCountry": "string",
      "displayVariant": "string",
      "extensionKeys": [
        "string"
      ],
      "iso3Language": "string",
      "iso3Country": "string"
    }
  },
  "additionalProperty2": {
    "elementId": "string",
    "elementType": "string",
    "textValue": "string",
    "booleanValue": "string",
    "optionList": [
      {
        "displayValue": "string",
        "systemValue": "string"
      }
    ],
    "dateLocale": "string",
    "timezone": "string",
    "locale": {
      "language": "string",
      "displayName": "string",
      "country": "string",
      "variant": "string",
      "script": "string",
      "unicodeLocaleAttributes": [
        "string"
      ],
      "unicodeLocaleKeys": [
        "string"
      ],
      "displayLanguage": "string",
      "displayScript": "string",
      "displayCountry": "string",
      "displayVariant": "string",
      "extensionKeys": [
        "string"
      ],
      "iso3Language": "string",
      "iso3Country": "string"
    }
  }
}